### A free/open-source library for quantitative finance

Classes
ql/patterns/lazyobject.hpp File Reference

framework for calculation on demand and result caching More...

`#include <ql/patterns/observable.hpp>`
Include dependency graph for lazyobject.hpp:

## Classes

class | LazyObject
| Framework for calculation on demand and result caching. More...

## Detailed Description

framework for calculation on demand and result caching